Bug 5396 - Сломалось автоматическое переключение звуковых устройств/профилей при включении наушников.
: Сломалось автоматическое переключение звуковых устройств/профилей при включен...
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-15 19:05 MSD by Yaroslav
Modified: 2015-05-18 14:03 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yaroslav 2015-04-15 19:05:21 MSD
Давно не приходилось в гнездо на передней панели включать наушники, поэтому заметил только вчера.

Основной звуковой профиль: "Analog Surround 7.1 выход + Аналоговый стерео вход"
Разъем: Линейный выход.

Когда вставляю наушники раньше (по крайней мере в релизе R5) это устройство удалялось и появлялось новое с профилем "Аналоговый стерео дуплекс". После перезагрузки оно применялось, если наушники я забывал выключить.

Теперь при подключении наушников звук и во внешних колонках пропадает, и в наушниках не появляется, пока вручную не сменишь профиль на "Аналоговый стерео дуплекс" и разъем на "выход на наушники".


Карта HDA ATI SB (ALC898)
Модули текущие:
lsmod | grep snd
snd_hda_codec_hdmi     51974  1
snd_hda_codec_realtek    75564  1
snd_hda_codec_generic    68949  1 snd_hda_codec_realtek
snd_hda_intel          30520  8
snd_hda_controller     31044  1 snd_hda_intel
snd_hda_codec         139421  5 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_intel,snd_hda_controller
snd_hwdep              17698  1 snd_hda_codec
snd_pcm               114043  5 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel,snd_hda_controller
snd_timer              29458  1 snd_pcm
snd                    87899  23 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel
soundcore              15052  2 snd,snd_hda_codec

Модули, когда все работало:
lsmod | grep snd
snd_hda_codec_hdmi     46480  1
snd_hda_codec_realtek    65892  1
snd_hda_codec_generic    64155  1 snd_hda_codec_realtek
snd_hda_intel          52315  5
snd_hda_codec         137458  4 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_intel
snd_hwdep              13602  1 snd_hda_codec
snd_pcm               107758  3 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel
snd_timer              29378  1 snd_pcm
snd                    83535  18 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel
soundcore              15052  1 snd
Comment 1 Yaroslav 2015-04-28 20:22:44 MSD
HW-Probe
http://hw.rosalinux.ru/index.php?probe=f152b1c86d
Comment 2 Eugene Shatokhin 2015-04-29 11:35:46 MSD
Попробуйте на всякий случай загрузить систему с релизного образа ROSA R5 в Live-режиме, проверить, что там проблемы нет. После - загрузить нам данные hw-probe и оттуда тоже.
Comment 3 Yaroslav 2015-04-29 20:33:20 MSD
На форуме http://forum.rosalab.ru/viewtopic.php?f=53&t=5506 я выложил скриншоты с работающем переключением в Live 

hw-probe в live http://hw.rosalinux.ru/index.php?probe=0eea1c5a6e

Попробую еще откатиться на ядро в котором точно работало.
Comment 4 Yaroslav 2015-04-29 21:13:40 MSD
На ядре 3.17.7 тоже самое.
Но на нем раньше работало.
Comment 5 Eugene Shatokhin 2015-04-30 11:22:21 MSD
(In reply to comment #4)
> На ядре 3.17.7 тоже самое.
> Но на нем раньше работало.

Значит, дело может быть и не в ядре, а где-то выше.
Comment 6 Andrey Bondrov 2015-05-12 16:49:45 MSD
Попробуем вот эту сборку pulseaudio:

Advisory: "Make line out path unavailable when Front Headphone is plugged in"
https://abf.rosalinux.ru/build_lists/2500403
https://abf.rosalinux.ru/build_lists/2500404
Comment 7 Yaroslav 2015-05-13 07:14:58 MSD
(In reply to comment #6)
> Попробуем вот эту сборку pulseaudio:
> 
> Advisory: "Make line out path unavailable when Front Headphone is plugged in"
> https://abf.rosalinux.ru/build_lists/2500403
> https://abf.rosalinux.ru/build_lists/2500404

Сегодня вечером протестирую.
Comment 8 Yaroslav 2015-05-13 19:36:02 MSD
(In reply to comment #6)
> Попробуем вот эту сборку pulseaudio:
> 
> Advisory: "Make line out path unavailable when Front Headphone is plugged in"
> https://abf.rosalinux.ru/build_lists/2500403
> https://abf.rosalinux.ru/build_lists/2500404

Да. Эта сборка устранила проблему. Спасибо!
Comment 9 Vladimir Potapov 2015-05-15 08:50:09 MSD
The update is sent to expanded testing
**************************************
Comment 10 Vladimir Potapov 2015-05-18 12:32:12 MSD
pulseaudio-6.0-2
https://abf.rosalinux.ru/build_lists/2500403
https://abf.rosalinux.ru/build_lists/2500404
************************** Advisory ********************************
Make line out path unavailable when Front Headphone is plugged in
********************************************************************
QA Verified